## org.apache.batik.swing
Class JSVGScrollPane.SBListener

    java.lang.Object
      java.awt.event.MouseAdapter
          org.apache.batik.swing.JSVGScrollPane.SBListener

All Implemented Interfaces:
  javax.swing.event.ChangeListener, java.util.EventListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener

Enclosing class:
  JSVGScrollPane

protected class JSVGScrollPane.SBListener
extends java.awt.event.MouseAdapter
implements javax.swing.event.ChangeListener, java.awt.event.MouseMotionListener

Advanced JScrollBar listener.

A separate listener must be attached to each scrollbar, since we keep track of mouse state for each scrollbar separately!

This coalesces drag events so we don't track them, and 'passes through' click events. It doesn't coalesce as many events as it should, but it helps * considerably.

Field Summary
`protected boolean` `inClick`
`protected boolean` `inDrag`
`protected boolean` `isVertical`

Constructor Summary
`JSVGScrollPane.SBListener(boolean vertical)`

Method Summary
`void` `mouseDragged(java.awt.event.MouseEvent e)`
`void` `mouseMoved(java.awt.event.MouseEvent e)`
`void` `mousePressed(java.awt.event.MouseEvent e)`
`void` `mouseReleased(java.awt.event.MouseEvent e)`
`void` `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class java.awt.event.MouseAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inDrag

    protected boolean inDrag

### inClick

    protected boolean inClick

### isVertical

    protected boolean isVertical

Constructor Detail

### JSVGScrollPane.SBListener

    public JSVGScrollPane.SBListener(boolean vertical)

Method Detail

### mouseDragged

    public void mouseDragged(java.awt.event.MouseEvent e)

  Specified by:
    `mouseDragged` in interface `java.awt.event.MouseMotionListener`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`

### mouseMoved

    public void mouseMoved(java.awt.event.MouseEvent e)

  Specified by:
    `mouseMoved` in interface `java.awt.event.MouseMotionListener`

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.